java.lang.Exception: Could not start bundle mvn:com.xxx.yyy/ZBundle in feature(s) com.xxx.yyy-1.0.0: Unresolved constraint in bundle com.xxx.yyy.ZBundle [341]: Unable to resolve 341.0: missing requirement [341.0] package; (package=org.apache.commons.io)

karaf-user | vbhasin | 5 years ago
  1. 0

    RE: 'Unable to resolve missing requirement' error while deploying features in SMix/Fuse 4.4.0

    karaf-user | 5 years ago | vbhasin
    java.lang.Exception: Could not start bundle mvn:com.xxx.yyy/ZBundle in feature(s) com.xxx.yyy-1.0.0: Unresolved constraint in bundle com.xxx.yyy.ZBundle [341]: Unable to resolve 341.0: missing requirement [341.0] package; (package=org.apache.commons.io)
  2. 0

    Karaf - User - 'Unable to resolve missing requirement' error while deploying features in SMix/Fuse 4.4.0

    nabble.com | 11 months ago
    java.lang.Exception: Could not start bundle mvn:com.xxx.aaa/IntegrationService  in feature(s) com.xxx.aaa-1.0.0: Unresolved constraint in bundle com.xxx.yyy.IntegrationService  [440]: Unable to resolve 440.0: missing requirement [440.0] package; (package=com.xxx.yyy.service.util.test.facade)
  3. 0

    Atricore_文档搜索

    anggang.com | 11 months ago
    java.lang.Exception: Could not start bundle mvn:org.apache.activemq/activemq-ra/5.3.2 in feature(s) activemq-5.3.2: Constraint violation for package 'javax.transaction.xa' when resolving module 139.0 between existing import 41.0.javax.transaction.xa BLAMED ON [[139.0] package; (package=javax.transaction.xa)] and uses constraint 120.0.javax.transaction.xa BLAMED ON [[139.0] package; (&(package=javax.resource.spi.endpoint)(version>=1.5.0)(!(version>=2.0.0))), [127.0] package; (package=javax.transaction.xa)]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    All Pax Exam Integration Tests do not work anymore

    karaf-user | 4 years ago | Michael Szalay
    java.lang.Exception: Could not start bundle mvn:org.ops4j.pax.swissbox/pax-swissbox-core/ in feature(s) exam-2.4.0: Unresolved constraint in bundle org.ops4j.pax.swissbox.core [79]: Unable to resolve 79.0: missing requirement [79.0] package; (&(package=org.ops4j.lang)(version>=1.4.0))
  6. 0

    Re: All Pax Exam Integration Tests do not work anymore

    karaf-user | 4 years ago | Jean-Baptiste Onofré
    java.lang.Exception: Could not start bundle mvn:org.ops4j.pax.swissbox/pax-swissbox-core/ in feature(s) exam-2.4.0: Unresolved constraint in bundle org.ops4j.pax.swissbox.core [79]: Unable to resolve 79.0: missing requirement [79.0] package; (&(package=org.ops4j.lang)(version>=1.4.0))

  1. davidvanlaatum 28 times, last 1 month ago
  2. davidvanlaatum 7 times, last 2 months ago
15 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unresolved constraint in bundle com.xxx.yyy.ZBundle [341]: Unable to resolve 341.0: missing requirement [341.0] package; (package=org.apache.commons.io)

    at org.apache.felix.framework.Felix.resolveBundle()
  2. Apache Felix Framework
    BundleImpl.start
    1. org.apache.felix.framework.Felix.resolveBundle(Felix.java:3436)
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:1728)
    3. org.apache.felix.framework.BundleImpl.start(BundleImpl.java:927)
    4. org.apache.felix.framework.BundleImpl.start(BundleImpl.java:914)
    4 frames
  3. Pax Runner
    FeaturesServiceImpl.installFeatures
    1. org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:350)
    1 frame
  4. Java RT
    Method.invoke
    1. sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[:1.6.0_26]
    2. sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)[:1.6.0_26]
    3. sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)[:1.6.0_26]
    4. java.lang.reflect.Method.invoke(Method.java:597)[:1.6.0_26]
    4 frames
  5. Apache Aries Proxy Service
    ProxyHandler.invoke
    1. org.apache.aries.proxy.impl.ProxyHandler$1.invoke(ProxyHandler.java:50)[8:org.apache.aries.proxy:0.3.0]
    2. org.apache.aries.proxy.impl.DefaultWrapper.invoke(DefaultWrapper.java:31)[8:org.apache.aries.proxy:0.3.0]
    3. org.apache.aries.proxy.impl.ProxyHandler.invoke(ProxyHandler.java:78)[8:org.apache.aries.proxy:0.3.0]
    3 frames
  6. Unknown
    $Proxy3.installFeatures
    1. $Proxy3.installFeatures(UnknownSource)[17:org.apache.karaf.features.core:2.2.0.fuse-00-27]
    1 frame
  7. org.apache.karaf
    FeatureDeploymentListener.bundleChanged
    1. org.apache.karaf.deployer.features.FeatureDeploymentListener.bundleChanged(FeatureDeploymentListener.java:133)[25:org.apache.karaf.deployer.features:2.2.0.fuse-00-27]
    1 frame
  8. Apache Felix Framework
    EventDispatcher$1.run
    1. org.apache.felix.framework.util.EventDispatcher.invokeBundleListenerCallback(EventDispatcher.java:795)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:]
    2. org.apache.felix.framework.util.EventDispatcher.fireEventImmediately(EventDispatcher.java:717)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:]
    3. org.apache.felix.framework.util.EventDispatcher.run(EventDispatcher.java:952)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:]
    4. org.apache.felix.framework.util.EventDispatcher.access$000(EventDispatcher.java:41)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:]
    5. org.apache.felix.framework.util.EventDispatcher$1.run(EventDispatcher.java:93)[org.apache.felix.framework-3.0.9-fuse-00-27.jar:]
    5 frames
  9. Java RT
    Thread.run
    1. java.lang.Thread.run(Thread.java:662)[:1.6.0_26]
    1 frame